Last Comment Bug 452865 - Remove obsolete linker flags needed when libnss3 was linked with libsoftokn3
: Remove obsolete linker flags needed when libnss3 was linked with libsoftokn3
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Build (show other bugs)
: 3.12
: All All
: -- normal (vote)
: 3.12.2
Assigned To: Wan-Teh Chang
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 14:31 PDT by Wan-Teh Chang
Modified: 2008-09-30 10:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (3.12 KB, patch)
2008-08-29 14:31 PDT, Wan-Teh Chang
glenbeasley: review+
rrelyea: superreview+
Details | Diff | Splinter Review
JSS patch (654 bytes, patch)
2008-08-29 14:36 PDT, Wan-Teh Chang
glenbeasley: review+
Details | Diff | Splinter Review

Description Wan-Teh Chang 2008-08-29 14:31:47 PDT
Created attachment 336111 [details] [diff] [review]
Proposed patch

Starting in NSS 3.12, libnss3 is no longer linked with
libsoftokn3.  So we can remove the obsolete linker flags
that were required when libnss3 was linked with libsoftokn3.

The proposed patch also removes an obsolete -dylib_file
flag for libsqlite3.dylib in lib/nss.
Comment 1 Wan-Teh Chang 2008-08-29 14:36:12 PDT
Created attachment 336112 [details] [diff] [review]
JSS patch

Glen, could you test this patch on the Mac?
This -dylib_file linker flag is not needed
if JSS is using NSS 3.12.x.
Comment 2 glen beasley 2008-09-03 08:46:39 PDT
Comment on attachment 336111 [details] [diff] [review]
Proposed patch

when I reviewed the JSS patch. I also applied and reviewed this NSS patch then built/tested.
Comment 3 Wan-Teh Chang 2008-09-05 16:31:20 PDT
I checked in the JSS patch on the JSS trunk.

Checking in config.mk;
/cvsroot/mozilla/security/jss/lib/config.mk,v  <--  config.mk
new revision: 1.25; previous revision: 1.24
done

I checked in the NSS patch on the NSS trunk (NSS 3.12.2).

Checking in cmd/platlibs.mk;
/cvsroot/mozilla/security/nss/cmd/platlibs.mk,v  <--  platlibs.mk
new revision: 1.57; previous revision: 1.56
done
Checking in lib/nss/config.mk;
/cvsroot/mozilla/security/nss/lib/nss/config.mk,v  <--  config.mk
new revision: 1.32; previous revision: 1.31
done
Checking in lib/smime/config.mk;
/cvsroot/mozilla/security/nss/lib/smime/config.mk,v  <--  config.mk
new revision: 1.25; previous revision: 1.24
done
Checking in lib/ssl/config.mk;
/cvsroot/mozilla/security/nss/lib/ssl/config.mk,v  <--  config.mk
new revision: 1.25; previous revision: 1.24
done

Note You need to log in before you can comment on or make changes to this bug.